import std.stdio;

void main()
{
    auto a = [ 0.5, -0.5, 1.5, 2 ];
    auto b = [ 3.5, 5.5, 4.5, -1 ];
    auto c = new double[4]; // Па­мять под мас­сив долж­на быть уже вы­де­ле­на
    c[] = (a[] + b[]) / 2;  // Рас­счи­тать сред­нее ариф­ме­ти­че­ское a и b
    assert(c == [ 2.0, 2.5, 3.0, 0.5 ]);

    auto d = [1.0, 2.5, 3.6];
    auto e = [4.5, 5.5, 1.4];
    auto f = new double[3];
    f[] += 4 * d[] + e[];

    int[] g = new int[5];
    int[] h = new int[5];
    g[] = -1;  // За­пол­нить все ячей­ки b зна­че­ни­ем -1
    h[] = g[]; // Ско­пи­ро­вать все дан­ные из b в a
    writeln(g);
    writeln(h);
}
